Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

[SuSE 8.0] Probleem met OpenGL

Marcel de Reus
70 antwoorden
  • Ik heb dus een probleem met mijn OpenGL.
    Ik heb een Leadtek GF4 ti4400 128MB. De problemen:
    Sax2 werkt niet, hij gaat laden en verdwijnt opeens.
    Bij het spelen van de demo Heretic 2 als ik hem zet op OpenGL rendering krijg ik dit:
    [quote:51a929089f]Executing global default.cfg
    Executing /home/marcel/.loki/heretic2_demo/config.cfg
    NET Initialized
    Setting default sound support "snd_sdl.so"
    Console initialized.
    VID: initial refresh glx
    VID: forcing vid_fullscreen=1 because always_grab is 1!
    Loading /usr/local/games/Loki_Demos/demos/heretic2_demo
    ef_glx.so
    Loaded DLL /usr/local/games/Loki_Demos/demos/heretic2_demo
    ef_glx.so as 0x92d7048
    Initializing VID module
    ref_gl version: GL 2.0
    Glimp_Init(…): +++++++++++++++++
    Using SDL video subsystem
    Loading GL driver from /usr/local/games/Loki_Demos/demos/heretic2_demo/gl_drivers/libGL.so.1
    Could not load OpenGL: Could not load OpenGL library
    Exiting Heretic II…
    Shutting down sound.
    Shutting down input handling[/quote:51a929089f]
    De OpenGL libary staat bij options op: libGL.so.1 ingesteld.
    Als ik nvclock 0.5 (rpm wil instaleren zegt hij:
    [quote:51a929089f]eplacepkgs //home/marcel/Desktop/nvclock-0.5-1.i386.rpm;echo RESULT=$?
    error: failed dependencies:
    libcrypto.so.2 is needed by nvclock-0.5-1
    libssl.so.2 is needed by nvclock-0.5-1
    RESULT=1[/quote:51a929089f]
    Zijn dit ook OpenGL libaries?
    Ik heb gewoon de Nvidia drivers van www.nvidia.com (rpm) voor SuSE 8.0 zowel de GLX als de kernel geïnstalleerd.

    Weet iemand wat er aan de hans is? Thnx.
  • Geen idee. Controloleer eerst ff of je die files echt wel hebt of niet. b.v. [code:1:87974aa45d] whereis <bestandsnaam> [/code:1:87974aa45d] Staan ze er wel op dan betekent dat je padverwijzing niet goed staat. Raadpleeg hiervoor de documentatie bij je packages welke padverwijzingen ingesteld moeten staan.

    GreetZzz
  • Het vreemde is dat de andere demo's wel werken :-?
    Misschien is deze gewoon niet goed geïnstalleerd, ik down Q3A wel ff en als die ook flipt dan zit er dus iets niet goed.
    Het vreemste vind ik overigens dat Sax2 niet werkt :( Ik zou niet weten hoe ik adt aan de praat moet krijgen. Ik download eerst Q3A wel ff en ga opzoek naar de required libaries.

    [edit] Het probleem van Heretic 2 lag idd aan een foute path aanduiding en is gefixed met de rest ben ik nog bezig. Ik hou jullie op de hoogte ;)

    [edit2] Voor NVclock mis ik die libarys dus gewoon. Iemand een idee waar ik deze 2 libaries vandaan kan halen en hoe ik ze instaleer?
    [quote:a974cae482]marcel@linux:~> whereis libscrypto.so.2
    libscrypto.so:
    marcel@linux:~> whereis libsll.so.2
    libsll.so:
    marcel@linux:~>[/quote:a974cae482]
  • [quote:a5237f398b="Marcel de Reus"]Het vreemde is dat de andere demo's wel werken :-?
    Misschien is deze gewoon niet goed geïnstalleerd, ik down Q3A wel ff en als die ook flipt dan zit er dus iets niet goed.
    Het vreemste vind ik overigens dat Sax2 niet werkt :( Ik zou niet weten hoe ik adt aan de praat moet krijgen. Ik download eerst Q3A wel ff en ga opzoek naar de required libaries.

    [edit] Het probleem van Heretic 2 lag idd aan een foute path aanduiding en is gefixed met de rest ben ik nog bezig. Ik hou jullie op de hoogte ;)

    [edit2] Voor NVclock mis ik die libarys dus gewoon. Iemand een idee waar ik deze 2 libaries vandaan kan halen en hoe ik ze instaleer?
    [quote:a5237f398b]marcel@linux:~> whereis libscrypto.so.2
    libscrypto.so:
    marcel@linux:~> whereis libsll.so.2
    libsll.so:
    marcel@linux:~>[/quote:a5237f398b][/quote:a5237f398b]

    Ik heb het zelfde probleem gehad..het idee is simpel..de file libGL.so.1 of de libGL.so wijst naar het verkeerde bestand.
    het wijst nu naar een MESA bestand maar je moet hem laten wijzen naar Nvidaglx.so ofziets in de directory GL.
    Iif staat je file libGL.so.1 of de file libGL.so verkeerd te wijzen..
    Je moet de symbolic link aanpassen..that's it.

    Dan werkt elk 3d spel onder GL.

    Su6!

    M.
  • Dat prb met libGL is dus al opgelost. Dat lag gewoon aan een foute pathverwijzing in de game settings. Hij loopt nu perfect.
    Ik heb nu dus nog het probleem met NVclocl over die dus dit zegt bij het instaleren van de rpm:
    [quote:e85e0dd61f]eplacepkgs //home/marcel/Desktop/nvclock-0.5-1.i386.rpm;echo RESULT=$?
    error: failed dependencies:
    libcrypto.so.2 is needed by nvclock-0.5-1
    libssl.so.2 is needed by nvclock-0.5-1
    RESULT=1[/quote:e85e0dd61f]

    Ik neem tenminste aan dat je tip op het Heretic II prob sloeg?
  • [quote:9e50e366d0="Marcel de Reus"]Dat prb met libGL is dus al opgelost. Dat lag gewoon aan een foute pathverwijzing in de game settings. Hij loopt nu perfect.
    Ik heb nu dus nog het probleem met NVclocl over die dus dit zegt bij het instaleren van de rpm:
    [quote:9e50e366d0]eplacepkgs //home/marcel/Desktop/nvclock-0.5-1.i386.rpm;echo RESULT=$?
    error: failed dependencies:
    libcrypto.so.2 is needed by nvclock-0.5-1
    libssl.so.2 is needed by nvclock-0.5-1
    RESULT=1[/quote:9e50e366d0]

    Ik neem tenminste aan dat je tip op het Heretic II prob sloeg?[/quote:9e50e366d0]

    NOpe op alle spellen..ik draai hier UT,QUake 3 en RTCW zonder probs na die file de goeie symlink te geven.
    Meer hoef je ook niet te doen..

    M.
  • Ja, OK.
    Maar of Quake 3 niet werkt weet ik nog niet. Het duurt nog 1 uur 12 voor de demo binnen is. Ik heb hem net aangezet maar de server geeft me maar 7kb/s :evil:
    Run jij RTCW onder Wine BTW? Want daar is toch (nog) geen Linux versie van?
    Maar ik wil dus nu graag NVclock aan de praat krijgen maar dan geeft hij dus die fout.
    Ik neem aan dat hij die libaries mist dus ik heb ze bij Google ingevoerd en zo kwam ik op een RedHat Rawhide RPM maar dat kan ik ook niet installeren :(
    Is er iemand die me kan helpen?
  • [quote:a6fe7039df="Marcel de Reus"]
    Maar ik wil dus nu graag NVclock aan de praat krijgen maar dan geeft hij dus die fout.
    Ik neem aan dat hij die libaries mist dus ik heb ze bij Google ingevoerd en zo kwam ik op een RedHat Rawhide RPM maar dat kan ik ook niet installeren :(
    Is er iemand die me kan helpen?[/quote:a6fe7039df]
    Ik weet niet of ik je hierbij kan helpen
    marcel, maar ik heb zojuist NvClock geinstalleerd.
    nvclock-0.5-2mdk.i586.rpm
    Deze is eigenlijk voor Mandrake
    maar ik heb 'm toch met KPackage
    onder SuSE 8.0 kunnen installeren. :wink:

    [code:1:a6fe7039df]
    jolo@linux:~> nvclock -s

    =======================
    — NvClock v0.5.0 —
    =======================

    nVidia Geforce 4 Ti 4200
    Card number: 0
    PCI id: 0x253
    Memory speed: 445.500 MHz
    Core speed: 249.750 MHz

    jolo@linux:~>
    [/code:1:a6fe7039df]
  • Ik heb dus de i386 package.
    Wil je ff een linkie naar die van jouw geven?
    Misschien adt het aan de package zelf ligt?
  • [quote:bef5e48b10="Marcel de Reus"]Ik heb dus de i386 package.
    Wil je ff een linkie naar die van jouw geven?
    Misschien adt het aan de package zelf ligt?[/quote:bef5e48b10]
    Ok, dit is de nvclock die ik geïnstalleerd heb onder SuSE 8.0
    ftp:/
    pmfind.net/linux/Mandrake-devel/contrib/RPMS/nvclock-0.5-2mdk.i586.rpm
    :)
  • Die werkt dus idd :)
    Toch vreemd want ik heb de mijne van de offieciele site via Google oppgeduikeld.
    Ik heb zelfs de source gedownen en die geprobeerd te compilen maar dat werkte ook niet :(
    Nu es ff lekker tweaken ;)
    Ga in september ff 6 Papst fans kopen (had eerst 1 Delta 80HP en 5 YStechs maar ik heb de HP vanwege de **** herrie eruit gehaald, maar nu is mijn tem weer te hoog) die waarschijnlijk en stil zijn en goed koelen en dan kan ik ook weer gaan OC'en: onder linux natuurlijk.
    Dan kan ik met Q3A benchen en dat ook onder Windows doen en dan kijken wie wint: Linux of windows: jij mag raden ;) :P
  • [quote:7e2f7ec211="Marcel de Reus"]Ik heb zelfs de source gedownen en die geprobeerd te compilen maar dat werkte ook niet :(
    en dan kan ik ook weer gaan OC'en: onder linux natuurlijk.
    Dan kan ik met Q3A benchen en dat ook onder Windows doen en dan kijken wie wint: Linux of windows: jij mag raden ;) :P[/quote:7e2f7ec211]
    Ik ben niet zo goed in raden, dus gok ik op Linux.

    Maar ik neem aan dat je wel begrepen hebt dat rpmfind één van mijn favoriete websites is. :)
    http:/
    pmfind.net/linux/RPM/

    Compilen is alleen nodig als er van een package alleen source code beschikbaar is.
    Zoals bijvoorbeeld RivaTV http://sourceforge.net/projects
    ivatv
  • Idd ik zoek ook altijd op rpmfind maar als ik niet weet hoe het proggie heet.
    Ik wist anmelijk alleen hoe de maker heette dus het werd google ;)
  • Hm, ook google is een goede zoekmachine.

    Maar Sax2 behoort gewoon te werken, desnoods in init 3.

    [code:1:5f8b26c91a]Card: 0 -> Nvidia GeForce4 Ti 4200
    Do you want to enable 3D for this card?
    [yes | <no> ]
    [/code:1:5f8b26c91a]Voor 3D wordt gebruikt gemaakt van: glx in module section in /etc/X11/XF86Config

    [code:1:5f8b26c91a]jolo@linux:~> cat /etc/X11/XF86Config | grep glx
    Load "glx"
    jolo@linux:~>

    [/code:1:5f8b26c91a]
  • [quote:9975cd057b="MVE"][quote:9975cd057b="Marcel de Reus"]Het vreemde is dat de andere demo's wel werken :-?
    Misschien is deze gewoon niet goed geïnstalleerd, ik down Q3A wel ff en als die ook flipt dan zit er dus iets niet goed.
    Het vreemste vind ik overigens dat Sax2 niet werkt :( Ik zou niet weten hoe ik adt aan de praat moet krijgen. Ik download eerst Q3A wel ff en ga opzoek naar de required libaries.

    [edit] Het probleem van Heretic 2 lag idd aan een foute path aanduiding en is gefixed met de rest ben ik nog bezig. Ik hou jullie op de hoogte ;)

    [edit2] Voor NVclock mis ik die libarys dus gewoon. Iemand een idee waar ik deze 2 libaries vandaan kan halen en hoe ik ze instaleer?
    [quote:9975cd057b]marcel@linux:~> whereis libscrypto.so.2
    libscrypto.so:
    marcel@linux:~> whereis libsll.so.2
    libsll.so:
    marcel@linux:~>[/quote:9975cd057b][/quote:9975cd057b]

    Ik heb het zelfde probleem gehad..het idee is simpel..de file libGL.so.1 of de libGL.so wijst naar het verkeerde bestand.
    het wijst nu naar een MESA bestand maar je moet hem laten wijzen naar Nvidaglx.so ofziets in de directory GL.
    Iif staat je file libGL.so.1 of de file libGL.so verkeerd te wijzen..
    Je moet de symbolic link aanpassen..that's it.

    Dan werkt elk 3d spel onder GL.

    Su6!

    M.[/quote:9975cd057b]

    Idd hij staat verkeerd te verwijzen ben ik nu achter, maar hoe verander ik die symbolic link en waarin?
  • [quote:4043e3370d="jolo"]Ik ben niet zo goed in raden, dus gok ik op Linux.

    Maar ik neem aan dat je wel begrepen hebt dat rpmfind één van mijn favoriete websites is. :)
    http:/
    pmfind.net/linux/RPM/

    Compilen is alleen nodig als er van een package alleen source code beschikbaar is.
    Zoals bijvoorbeeld RivaTV http://sourceforge.net/projects
    ivatv[/quote:4043e3370d]

    Je kunt ook compilen om wat meer optimalisaties door te voeren, wat op zich ook niet zo'n slecht idee is… :wink:
  • Idd, maar heb je ook een oplossing voor mijn probleem?
  • [quote:ad67454d5c="Marcel de Reus"]Idd, maar heb je ook een oplossing voor mijn probleem?[/quote:ad67454d5c]

    Nee, helaas. Ik heb die NVidia drivers niet nodig met mijn Ati Rage kaartje. :roll:

    Maar het is sowieso een goed idee om te compileren, eerst zie je dan namelijk dat ie alle informatie over je systeem opvraagt, dan kijkt ie of alle benodigde programma's geinstalleerd zijn en dan gaat ie pas compileren. Je ziet dan vanzelf welk programma niet is geinstalleerd.

    Als je wat verder bent met Linux, moet je maar eens Gentoo proberen, dat heeft ook een soort "packagesysteem" maar alles wordt wel ter plekke gecompileerd, verder heeft Gentoo als ik me niet vergis ook die Nvidia drivers in het assortiment.
  • Idd maar ik denk dat ik liever binnenkort es Linux From Scatch ga proberen. Dat is weer net ff meer puur dan Gentoo.
    Ik heb ff gekeken en de lib verwijst idd naar MESA.
    Ik hoef alleen nog te weten hoe ik hem wijzig en waarnaar ie moet wijzen.
  • Hm, als je PC is opgestart in SuSE init level 3, dus zonder Xwindows, wat voor een foutmelding verschijnt er dan als je sax2 start? :roll:

    Wat je OpenGL probleem betreft: heb je de readme op http://www.nvidia.com/view.asp?PAGE=linux wel volledig gelezen?
    In (app-c) Appendix c: installed components, gaat over OpenGL. :roll:

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.